## python-applicationinsights 0.11.9

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ApplicationInsightsSDKforPython.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ApplicationInsightsSDKforPython.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ApplicationInsightsSDKforPython"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ApplicationInsightsSDKforPython"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-applicationinsights 0.10.0

=== debian/changelog ===
python-applicationinsights (0.10.0-2) unstable; urgency=medium

  * debian/control:
   - Changed binary architecture to all.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 27 Sep 2016 14:42:51 +0100

python-applicationinsights (0.10.0-1) unstable; urgency=medium

  * Initial release. (Closes: #838717)

 -- Iain R. Learmonth <irl@debian.org>  Fri, 23 Sep 2016 23:31:47 +0100

=== debian/control ===
Source: python-applicationinsights
Section: python
Priority: optional
Maintainer: Debian Azure Packaging Team <pkg-azure-team@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python3-all,
               python-setuptools,
               python3-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-azure/python-applicationinsights.git
Vcs-Git: https://anonscm.debian.org/git/pkg-azure/python-applicationinsights.git
Homepage: https://pypi.python.org/pypi/applicationinsights/

Package: python-applicationinsights
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Azure Application Insights API for Python 2.x
 This package provides an API for Azure Application Insights. Application
 Insights is a service that allows developers to keep their application
 available, performing and succeeding. This Python module will allow you to send
 telemetry of various kinds (event, trace, exception, etc.) to the Application
 Insights service where they can be visualized in the Azure Portal.
 .
 This package contains the Python 2.x module.

Package: python3-applicationinsights
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Azure Application Insights API for Python 3.x
 Application Insights is a service that allows developers to keep their
 application available, performing and succeeding. This Python module will allow
 you to send telemetry of various kinds (event, trace, exception, etc.) to the
 Application Insights service where they can be visualized in the Azure Portal.
 .
 This package contains the Python 3.x module.

## python-applicationinsights 0.11.0

=== debian/changelog ===
python-applicationinsights (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * debian/control:
   - Updated Standards-Version to 4.1.0

 -- Iain R. Learmonth <irl@debian.org>  Thu, 24 Aug 2017 12:31:41 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-all,
                python-setuptools,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-azure/python-applicationinsights.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-azure/python-applicationinsights.git
 Homepage: https://pypi.python.org/pypi/applicationinsights/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=applicationinsights

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/applicationinsights/applicationinsights-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-applicationinsights 0.11.9

=== debian/changelog ===
python-applicationinsights (0.11.9-2) unstable; urgency=medium

  * Add -b debian/sid to Vcs-Git field.
  * Bump Standards-Version to 4.4.0.

 -- Luca Boccassi <bluca@debian.org>  Thu, 12 Sep 2019 15:11:56 +0100

python-applicationinsights (0.11.9-1) unstable; urgency=medium

  * Import 0.11.0-1 packaging by Iain R. Learmonth
  * Update to new upstream release 0.11.9 (Closes: #930414)
  * Set myself as maintainer
  * Set debhelper compat level to 12
  * Remove python2 support
  * Update copyright file
  * Set Vcs fields to Salsa
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.3.0
  * Update watch file to point to Github
  * Add gbp.conf file
  * Remove test-support.patch, merged upstream
  * Remove applicationinsights.egg-info on dh-clean

 -- Luca Boccassi <bluca@debian.org>  Thu, 13 Jun 2019 12:57:23 +0100

=== debian/control ===
Source: python-applicationinsights
Section: python
Priority: optional
Maintainer: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.4.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/python-applicationinsights
Vcs-Git: https://salsa.debian.org/debian/python-applicationinsights.git -b debian/sid
Homepage: https://pypi.python.org/pypi/applicationinsights/

Package: python3-applicationinsights
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Azure Application Insights API for Python 3.x
 Application Insights is a service that allows developers to keep their
 application available, performing and succeeding. This Python module will allow
 you to send telemetry of various kinds (event, trace, exception, etc.) to the
 Application Insights service where they can be visualized in the Azure Portal.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/Microsoft/ApplicationInsights-Python/tags .*/v?(\d\S+)\.tar\.gz

## python-applicationinsights 0.11.10

=== debian/changelog ===
python-applicationinsights (0.11.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.5.1, no changes
  * Bump debhelper-compat to 13
  * Merge tag '0.11.10' into debian/sid
  * Drop autopkgtest field from d/control

 -- Luca Boccassi <bluca@debian.org>  Tue, 17 Aug 2021 15:08:03 +0100

python-applicationinsights (0.11.9-3) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * Fix watch file syntax
  * Add autopkgtest support
  * Move package under Python Modules Team maintenance

 -- Luca Boccassi <bluca@debian.org>  Sat, 07 Mar 2020 10:50:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: python-applicationinsights
 Section: python
 Priority: optional
-Maintainer: Luca Boccassi <bluca@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/debian/python-applicationinsights
-Vcs-Git: https://salsa.debian.org/debian/python-applicationinsights.git -b debian/sid
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-applicationinsights
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-applicationinsights.git
 Homepage: https://pypi.python.org/pypi/applicationinsights/
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-applicationinsights
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=applicationinsights

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf applicationinsights.egg-info/

=== debian/tests/control ===
Tests: python3-tests
Depends: @builddeps@, python3-applicationinsights, python3-django,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-applicationinsights-$1\.tar\.gz/ \
  https://github.com/Microsoft/ApplicationInsights-Python/tags .*/v?(\d\S+)\.tar\.gz
